> For the complete documentation index, see [llms.txt](https://docs.dot-net.uz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dot-net.uz/c-.net/linq/average.md).

# Average

Average metodi to’plamdagi int tipidagi elementlarning o’rtacha qiymatini qaytaradi. Average metodi null, decimal, double yoki float qiymatini qaytaradi. Quyidagi misolda to'plamdagi barcha butun sonlarning o'rtacha qiymatini qaytaradigan Agerage metodini ishlashi ko'rsatilgan:

```
IList intList = new List>() { 10, 20, 30 };
var avg = intList.Average();
Console.WriteLine("Average: {0}", avg);
```

Siz o'rtacha qiymatni olmoqchi bo'lgan lambda ifodasi sifatida sinfning int, decimal, double yoki float propertylarini belgilashingiz mumkin. Quyidagi misolda murakkab turdagi Average metodinini ko'rsatadi:

```
IList studentList = new List>()
{ 
    new Student() { StudentID = 1, StudentName = "John", Age = 13} ,
    new Student() { StudentID = 2, StudentName = "Moin", Age = 21 } , 
    new Student() { StudentID = 3, StudentName = "Bill", Age = 18 } , 
    new Student() { StudentID = 4, StudentName = "Ram" , Age = 20} ,
    new Student() { StudentID = 5, StudentName = "Ron" , Age = 15 } 
};
var avgAge = studentList.Average(s => s.Age);
Console.WriteLine("Average Age of Student: {0}", avgAge);
```

**Output:**

**Average Of Student: 17.4**

{% hint style="info" %}
C# dasturlash tilida Average operatori query sintaksisida qo’llab quvvatlanmaydi!
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dot-net.uz/c-.net/linq/average.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
